MultiTransactionStatus (Grails 6.0.0)

Package: org.grails.transaction

## [Java] Class MultiTransactionStatus

- org.grails.transaction.MultiTransactionStatus

- All Implemented Interfaces and Traits:
    org.springframework.transaction.TransactionStatus

      class MultiTransactionStatus
      extends java.lang.Object
      implements org.springframework.transaction.TransactionStatus

  org.springframework.transaction.TransactionStatus implementation to orchestrate org.springframework.transaction.TransactionStatus instances for multiple org.springframework.transaction.PlatformTransactionManager instances.

  Authors:
    Michael Hunger
    Oliver Gierke
  Since:
    2.3.6

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private static class` | `MultiTransactionStatus.SavePoints` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.transaction.PlatformTransactionManager` | `mainTransactionManager` |
    `private boolean` | `newSynchronization` |
    `private java.util.Map<org.springframework.transaction.PlatformTransactionManager, org.springframework.transaction.TransactionStatus>` | `transactionStatuses` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultiTransactionStatus (org.springframework.transaction.PlatformTransactionManager mainTransactionManager)` Creates a new MultiTransactionStatus for the given org.springframework.transaction.PlatformTransactionManager.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `commit(org.springframework.transaction.PlatformTransactionManager transactionManager)`
    `` | `public java.lang.Object` | `createSavepoint()`
    `` | `public void` | `flush()`
    `` | `private org.springframework.transaction.TransactionStatus` | `getMainTransactionStatus()`
    `` | `private org.springframework.transaction.TransactionStatus` | `getTransactionStatus(org.springframework.transaction.PlatformTransactionManager transactionManager)`
    `` | `public java.util.Map<org.springframework.transaction.PlatformTransactionManager, org.springframework.transaction.TransactionStatus>` | `getTransactionStatuses()`
    `` | `public boolean` | `hasSavepoint()`
    `` | `public boolean` | `isCompleted()`
    `` | `public boolean` | `isNewSynchronization()`
    `` | `public boolean` | `isNewTransaction()`
    `` | `public boolean` | `isRollbackOnly()`
    `` | `public void` | `registerTransactionManager(org.springframework.transaction.TransactionDefinition definition, org.springframework.transaction.PlatformTransactionManager transactionManager)`
    `` | `public void` | `releaseSavepoint(java.lang.Object savepoint)`
    `` | `public void` | `rollback(org.springframework.transaction.PlatformTransactionManager transactionManager)` Rolls back the org.springframework.transaction.TransactionStatus registered for the given org.springframework.transaction.PlatformTransactionManager.
    `` | `public void` | `rollbackToSavepoint(java.lang.Object savepoint)`
    `` | `public void` | `setNewSynchronization()`
    `` | `public void` | `setRollbackOnly()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final org.springframework.transaction.PlatformTransactionManager mainTransactionManager

    - #### private boolean newSynchronization

    - #### private final java.util.Map<org.springframework.transaction.PlatformTransactionManager, org.springframework.transaction.TransactionStatus> transactionStatuses

  - ### Constructor Detail

    - #### public MultiTransactionStatus(org.springframework.transaction.PlatformTransactionManager mainTransactionManager)

      Creates a new MultiTransactionStatus for the given org.springframework.transaction.PlatformTransactionManager.

      Parameters:
        `mainTransactionManager` - must not be null.

  - ### Method Detail

    - #### public void commit(org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### public java.lang.Object createSavepoint()

    - #### public void flush()

    - #### private org.springframework.transaction.TransactionStatus getMainTransactionStatus()

    - #### private org.springframework.transaction.TransactionStatus getTransactionStatus(org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### public java.util.Map<org.springframework.transaction.PlatformTransactionManager, org.springframework.transaction.TransactionStatus> getTransactionStatuses()

    - #### public boolean hasSavepoint()

    - #### public boolean isCompleted()

    - #### public boolean isNewSynchronization()

    - #### public boolean isNewTransaction()

    - #### public boolean isRollbackOnly()

    - #### public void registerTransactionManager(org.springframework.transaction.TransactionDefinition definition, org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### public void releaseSavepoint(java.lang.Object savepoint)

    - #### public void rollback(org.springframework.transaction.PlatformTransactionManager transactionManager)

      Rolls back the org.springframework.transaction.TransactionStatus registered for the given org.springframework.transaction.PlatformTransactionManager.

      Parameters:
        `transactionManager` - must not be null.

    - #### public void rollbackToSavepoint(java.lang.Object savepoint)

    - #### public void setNewSynchronization()

    - #### public void setRollbackOnly()